package com.ruoyi.szxc.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 居民信息对象 szxc_jm_info
 *
 * @author hs
 * @date 2024-03-26
 */
public class SzxcJmInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 居民id */
    private Long id;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 所属网格 */
    @Excel(name = "所属网格")
    private String deptName;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 曾用名 */
    @Excel(name = "曾用名")
    private String oldName;

    /** 国籍 */
    @Excel(name = "国籍")
    private String nationality;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String cardId;

    /** 出生日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date bornDate;

    /** 年龄 */
    @Excel(name = "年龄")
    private Integer age;

    /** 性别（0男 1女 2未知） */
    @Excel(name = "性别", readConverterExp = "0=男,1=女,2=未知")
    private String sex;

    /** 籍贯 */
    @Excel(name = "籍贯")
    private String jg;

    /** 与户主关系 */
    @Excel(name = "与户主关系")
    private String relation;

    /** 户籍性质 */
    @Excel(name = "户籍性质")
    private String jgNature;

    /** 是否常住（0是 1否） */
    @Excel(name = "是否常住", readConverterExp = "0=是,1=否")
    private String longLive;

    /** 户籍地址 */
    @Excel(name = "户籍地址")
    private String hjAddress;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 现居住地 */
    @Excel(name = "现居住地")
    private String currentAddress;

    /** 本人情况 */
    @Excel(name = "本人情况")
    private String brqk;

    /** 婚姻 */
    @Excel(name = "婚姻")
    private String hy;

    /** 学历 */
    @Excel(name = "学历")
    private String xueli;

    /** 政治面貌 */
    @Excel(name = "政治面貌")
    private String zzmm;

    /** 宗教信仰 */
    @Excel(name = "宗教信仰")
    private String zjxy;

    /** 健康状况 */
    @Excel(name = "健康状况")
    private String jkzk;

    /** 疾病描述 */
    @Excel(name = "疾病描述")
    private String ills;

    /** 是否户主 0:户主 1:非户主 */
    @Excel(name = "是否户主 0:户主 1:非户主")
    private String head;

    /** 户号 */
    @Excel(name = "户号")
    private Long acountNo;

    /** 核查状态（0待核查 1已核查） */
    @Excel(name = "核查状态", readConverterExp = "0=待核查,1=已核查")
    private String hcStatus;

    /** 是否注销 0:正常 1:注销 */
    @Excel(name = "是否注销 0:正常 1:注销")
    private String off;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long userId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setOldName(String oldName)
    {
        this.oldName = oldName;
    }

    public String getOldName()
    {
        return oldName;
    }
    public void setNationality(String nationality)
    {
        this.nationality = nationality;
    }

    public String getNationality()
    {
        return nationality;
    }
    public void setCardId(String cardId)
    {
        this.cardId = cardId;
    }

    public String getCardId()
    {
        return cardId;
    }
    public void setBornDate(Date bornDate)
    {
        this.bornDate = bornDate;
    }

    public Date getBornDate()
    {
        return bornDate;
    }
    public void setAge(Integer age)
    {
        this.age = age;
    }

    public Integer getAge()
    {
        return age;
    }
    public void setSex(String sex)
    {
        this.sex = sex;
    }

    public String getSex()
    {
        return sex;
    }
    public void setJg(String jg)
    {
        this.jg = jg;
    }

    public String getJg()
    {
        return jg;
    }
    public void setRelation(String relation)
    {
        this.relation = relation;
    }

    public String getRelation()
    {
        return relation;
    }
    public void setJgNature(String jgNature)
    {
        this.jgNature = jgNature;
    }

    public String getJgNature()
    {
        return jgNature;
    }
    public void setLongLive(String longLive)
    {
        this.longLive = longLive;
    }

    public String getLongLive()
    {
        return longLive;
    }
    public void setHjAddress(String hjAddress)
    {
        this.hjAddress = hjAddress;
    }

    public String getHjAddress()
    {
        return hjAddress;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setCurrentAddress(String currentAddress)
    {
        this.currentAddress = currentAddress;
    }

    public String getCurrentAddress()
    {
        return currentAddress;
    }
    public void setBrqk(String brqk)
    {
        this.brqk = brqk;
    }

    public String getBrqk()
    {
        return brqk;
    }
    public void setHy(String hy)
    {
        this.hy = hy;
    }

    public String getHy()
    {
        return hy;
    }
    public void setXueli(String xueli)
    {
        this.xueli = xueli;
    }

    public String getXueli()
    {
        return xueli;
    }
    public void setZzmm(String zzmm)
    {
        this.zzmm = zzmm;
    }

    public String getZzmm()
    {
        return zzmm;
    }
    public void setZjxy(String zjxy)
    {
        this.zjxy = zjxy;
    }

    public String getZjxy()
    {
        return zjxy;
    }
    public void setJkzk(String jkzk)
    {
        this.jkzk = jkzk;
    }

    public String getJkzk()
    {
        return jkzk;
    }
    public void setIlls(String ills)
    {
        this.ills = ills;
    }

    public String getIlls()
    {
        return ills;
    }
    public void setHead(String head)
    {
        this.head = head;
    }

    public String getHead()
    {
        return head;
    }
    public void setAcountNo(Long acountNo)
    {
        this.acountNo = acountNo;
    }

    public Long getAcountNo()
    {
        return acountNo;
    }
    public void setHcStatus(String hcStatus)
    {
        this.hcStatus = hcStatus;
    }

    public String getHcStatus()
    {
        return hcStatus;
    }
    public void setOff(String off)
    {
        this.off = off;
    }

    public String getOff()
    {
        return off;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("name", getName())
                .append("oldName", getOldName())
                .append("nationality", getNationality())
                .append("cardId", getCardId())
                .append("bornDate", getBornDate())
                .append("age", getAge())
                .append("sex", getSex())
                .append("jg", getJg())
                .append("relation", getRelation())
                .append("jgNature", getJgNature())
                .append("longLive", getLongLive())
                .append("hjAddress", getHjAddress())
                .append("phone", getPhone())
                .append("currentAddress", getCurrentAddress())
                .append("brqk", getBrqk())
                .append("hy", getHy())
                .append("xueli", getXueli())
                .append("zzmm", getZzmm())
                .append("zjxy", getZjxy())
                .append("jkzk", getJkzk())
                .append("ills", getIlls())
                .append("head", getHead())
                .append("acountNo", getAcountNo())
                .append("hcStatus", getHcStatus())
                .append("off", getOff())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("userId", getUserId())
                .toString();
    }
}
